Loading...
Searching...
No Matches
SiscoWriter.h File Reference
`#include <complex>`
`#include <fstream>`
`#include <list>`
`#include <map>`
`#include <set>`
`#include <span>`
`#include <string>`
`#include <vector>`
`#include "ConditionalQueue.h"`
`#include "Deflate.h"`
`#include "Lane.h"`
`#include "Sisco.h"`

Go to the source code of this file.

## Classes

class | casacore::sisco::SiscoWriter
| File interface for data stored in the generated model compression (Sisco) format. More...
struct | casacore::sisco::SiscoWriter::Chunk
struct | casacore::sisco::SiscoWriter::PreprocessingTask
struct | casacore::sisco::SiscoWriter::WriteTask
struct | casacore::sisco::SiscoWriter::BaselineData
struct | casacore::sisco::SiscoWriter::ThreadData

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines
namespace | casacore::sisco